Debian Bug report logs - #492696
ITP: padre -- Perl Application Development and Refactoring Environment

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Damyan Ivanov <dmn@debian.org>

Date: Mon, 28 Jul 2008 09:33:02 UTC

Owned by: Damyan Ivanov <dmn@debian.org>

Severity: wishlist

Fixed in version padre/0.27.ds1-1

Done: Damyan Ivanov <dmn@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#492696; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dam@modsoftsys.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dam@modsoftsys.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: padre -- Perl Application Development and Refactoring Environment
Date: Mon, 28 Jul 2008 12:30:05 +0300
Package: wnpp
Severity: wishlist
Owner: Damyan Ivanov <dmn@debian.org>

* Package name    : padre
  Version         : 0.2
  Upstream Author : Gabor Szabo http://www.szabgab.com/
* URL             : http://search.cpan.org/dist/Padre/
* License         : Same as Perl5 (GPL-1+|Artistic)
  Programming Lang: Perl
  Description     : Perl Application Development and Refactoring Environment

  A simple editor for Perl, written in Perl and using WxWidgets.
  .
  Still in early stages of development, but useful regardless.

It seems to me that the package is more an application than a set of
Perl modules so perhaps it is not suitable for pkg-perl. Of course, I'd
be more than happy to maintain it there, in a well-developed
environment, if there are no objections :)

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#492696; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dam@modsoftsys.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>. Full text and rfc822 format available.

Message #10 received at 492696@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dam@modsoftsys.com>
To: Gabor Szabo <szabgab@gmail.com>
Cc: debian-perl@lists.debian.org, 492696@bugs.debian.org
Subject: Re: Adding Padre to Debian
Date: Mon, 28 Jul 2008 14:31:45 +0300
[Message part 1 (text/plain, inline)]
-=| Gabor Szabo, Mon, Jul 28, 2008 at 12:04:11PM +0300 |=-
> I have just released the first public version of
> Padre - Perl Application Development and Refactoring Environment
> as a CPAN module.
> See http://search.cpan.org/dist/Padre/
> 
> It is basically an editor with an oversized ego.

:)

> So I'd like to ask that someone here will pick up the module from 
> CPAN and try to integrate it into Debian.

Bug filed (and Cc-ed). http://bugs.debian.org/492696

> If you encounter any issues, I'd be more than 
> happy to know about them so I can fix them.

I seem to have the same problem as some CPAN testers[1]
    [1] http://bbbike.radzeit.de/~slaven/cpantestersmatrix.cgi?dist=Padre+0.02

    Can't locate object method "AppendSubMenu" via package "Wx::Menu" 
    at /tmp/1/Padre-0.02/blib/lib/Padre/Frame.pm line 152.

during t/02-wx

Wx is 0.84.

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#492696; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Gabor Szabo" <szabgab@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>. Full text and rfc822 format available.

Message #15 received at 492696@bugs.debian.org (full text, mbox):

From: "Gabor Szabo" <szabgab@gmail.com>
To: "Damyan Ivanov" <dam@modsoftsys.com>, "Gabor Szabo" <szabgab@gmail.com>, debian-perl@lists.debian.org, 492696@bugs.debian.org
Subject: Re: Adding Padre to Debian
Date: Mon, 28 Jul 2008 22:45:24 +0300
Thanks for the quick action. I am checking this out now.
Mattia Barbon the maintainer of Wx suspect an old version of wxWidgets.

Could you please send me the output of this:

perl -MWx -le'print Wx::wxVERSION_STRING()'

so I can try to confirm this?

thanks
   Gabor


On Mon, Jul 28, 2008 at 2:31 PM, Damyan Ivanov <dam@modsoftsys.com> wrote:
> -=| Gabor Szabo, Mon, Jul 28, 2008 at 12:04:11PM +0300 |=-
>> I have just released the first public version of
>> Padre - Perl Application Development and Refactoring Environment
>> as a CPAN module.
>> See http://search.cpan.org/dist/Padre/
>>
>> It is basically an editor with an oversized ego.
>
> :)
>
>> So I'd like to ask that someone here will pick up the module from
>> CPAN and try to integrate it into Debian.
>
> Bug filed (and Cc-ed). http://bugs.debian.org/492696
>
>> If you encounter any issues, I'd be more than
>> happy to know about them so I can fix them.
>
> I seem to have the same problem as some CPAN testers[1]
>    [1] http://bbbike.radzeit.de/~slaven/cpantestersmatrix.cgi?dist=Padre+0.02
>
>    Can't locate object method "AppendSubMenu" via package "Wx::Menu"
>    at /tmp/1/Padre-0.02/blib/lib/Padre/Frame.pm line 152.
>
> during t/02-wx
>
> Wx is 0.84.
>
> --
> dam            JabberID: dam@jabber.minus273.org
>




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#492696; Package wnpp. Full text and rfc822 format available.

Message #18 received at 492696@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dam@modsoftsys.com>
To: Gabor Szabo <szabgab@gmail.com>
Cc: Damyan Ivanov <dam@modsoftsys.com>, debian-perl@lists.debian.org, 492696@bugs.debian.org
Subject: Re: Adding Padre to Debian
Date: Tue, 29 Jul 2008 00:37:46 +0300
[Message part 1 (text/plain, inline)]
-=| Gabor Szabo, Mon, Jul 28, 2008 at 10:45:24PM +0300 |=-
> Mattia Barbon the maintainer of Wx suspect an old version of 
> wxWidgets.
> 
> Could you please send me the output of this:
> 
> perl -MWx -le'print Wx::wxVERSION_STRING()'

wxWidgets 2.6.3

not exactly "recent", yes. What is the minimal required WxWidgets 
version?

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#492696; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Gabor Szabo" <szabgab@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>. Full text and rfc822 format available.

Message #23 received at 492696@bugs.debian.org (full text, mbox):

From: "Gabor Szabo" <szabgab@gmail.com>
To: "Damyan Ivanov" <dam@modsoftsys.com>, debian-perl@lists.debian.org, 492696@bugs.debian.org
Subject: Re: Adding Padre to Debian
Date: Tue, 29 Jul 2008 05:57:42 +0300
On Tue, Jul 29, 2008 at 12:37 AM, Damyan Ivanov <dam@modsoftsys.com> wrote:
> -=| Gabor Szabo, Mon, Jul 28, 2008 at 10:45:24PM +0300 |=-
>> Mattia Barbon the maintainer of Wx suspect an old version of
>> wxWidgets.
>>
>> Could you please send me the output of this:
>>
>> perl -MWx -le'print Wx::wxVERSION_STRING()'
>
> wxWidgets 2.6.3
>
> not exactly "recent", yes. What is the minimal required WxWidgets
> version?

It seems it is 2.7.x or later.

I don't know if I would like to require an upgrade but then looking
at http://www.wxwidgets.org/downloads/
it say:
 Current Stable Release: 2.8.8
Previous Stable Release: 2.6.4

so 2.6.3 is quite old.
Does that mean that Debian unstable - I guess that is where you are
trying to install is
running wxWidgets 2.6.3 ?

Gabor




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#492696; Package wnpp. Full text and rfc822 format available.

Message #26 received at 492696@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dam@modsoftsys.com>
To: Gabor Szabo <szabgab@gmail.com>
Cc: debian-perl@lists.debian.org, 492696@bugs.debian.org
Subject: Re: Adding Padre to Debian
Date: Tue, 29 Jul 2008 09:25:36 +0300
[Message part 1 (text/plain, inline)]
-=| Gabor Szabo, Tue, Jul 29, 2008 at 05:57:42AM +0300 |=-
> On Tue, Jul 29, 2008 at 12:37 AM, Damyan Ivanov <dam@modsoftsys.com> wrote:
> >> perl -MWx -le'print Wx::wxVERSION_STRING()'
> >
> > wxWidgets 2.6.3
> >
> > not exactly "recent", yes. What is the minimal required WxWidgets
> > version?
> 
> It seems it is 2.7.x or later.
> 
> I don't know if I would like to require an upgrade but then looking
> at http://www.wxwidgets.org/downloads/
> it say:
>  Current Stable Release: 2.8.8
> Previous Stable Release: 2.6.4
> 
> so 2.6.3 is quite old.
> Does that mean that Debian unstable - I guess that is where you are
> trying to install is
> running wxWidgets 2.6.3 ?

Yes, unstable. There's also some 2.8.x version, but that is in another 
set of packages (http://packages.qa.debian.org/wxwidgets2.8). I have 
them installed, but my guess is that Wx Perl module needs to be 
compiled using them.

Since we're in freeze, preparing for the next Debian stable release, 
and that upgrading to 2.8 is discouraged[1] during that time, I guess 
I can upload a 2.8-using Wx-Perl into experimentall (thus not 
interferring with the freeze) and try again.

    [1] http://lists.debian.org/debian-devel-announce/2008/07/msg00000.html
        search for "2.8"

There would still be the problem of expressing the dependency in the 
package though. My only thougth is to add another binary package, 
libalien-wxwidgets2.8-perl, then build libwx2.8-perl (additional 
binary package to libwx-perl) using that, and then declare 
build-dependency on libwx2.8-perl in Padre. This is ugly, and the 
2.8-flavours would conflict with the 2.6-ones as they install the same 
.pm's.

I think I would rather wait for the release (planned for September) 
and then build Alien-WxWidgets and Wx using 2.8, paving the road for 
Padre.

If anyone from the group has another ideas, I'd be glad to hear them 
:)

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#492696; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Gabor Szabo" <szabgab@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>. Full text and rfc822 format available.

Message #31 received at 492696@bugs.debian.org (full text, mbox):

From: "Gabor Szabo" <szabgab@gmail.com>
To: debian-perl@lists.debian.org, 492696@bugs.debian.org
Subject: Re: Adding Padre to Debian
Date: Thu, 31 Jul 2008 08:36:22 +0300
On Tue, Jul 29, 2008 at 9:25 AM, Damyan Ivanov <dam@modsoftsys.com> wrote:

> Since we're in freeze, preparing for the next Debian stable release,
> and that upgrading to 2.8 is discouraged[1] during that time, I guess
> I can upload a 2.8-using Wx-Perl into experimentall (thus not
> interferring with the freeze) and try again.
>
>    [1] http://lists.debian.org/debian-devel-announce/2008/07/msg00000.html
>        search for "2.8"
>
> There would still be the problem of expressing the dependency in the
> package though. My only thougth is to add another binary package,
> libalien-wxwidgets2.8-perl, then build libwx2.8-perl (additional
> binary package to libwx-perl) using that, and then declare
> build-dependency on libwx2.8-perl in Padre. This is ugly, and the
> 2.8-flavours would conflict with the 2.6-ones as they install the same
> .pm's.
>
> I think I would rather wait for the release (planned for September)
> and then build Alien-WxWidgets and Wx using 2.8, paving the road for
> Padre.
>

Whichever is easier.
Padre definitely cannot be considered "stable". I call it pre-alpha.
So it should interfere with Debian stable.

If you can upload to experimental and give me feedback on other things
that might go wrong that's fine. If you prefer to wait till stable is out of the
way, that's fine with me too.
By that time I hope Padre will look much better.

regards
    Gabor




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#492696; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Gabor Szabo" <szabgab@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>. Full text and rfc822 format available.

Message #36 received at 492696@bugs.debian.org (full text, mbox):

From: "Gabor Szabo" <szabgab@gmail.com>
To: debian-perl@lists.debian.org, 492696@bugs.debian.org
Subject: Re: Adding Padre to Debian
Date: Fri, 8 Aug 2008 17:43:45 +0300
I have released v0.04 in which I tried to solve this issue by eliminating
the offending method call hopefully requireing a lower version of wxWidgets.

I'd appreciate if you gave it a try.
Even if Padre itself cannot go into stable it would be nice if all its
prereqs could.

It would be also nice IMHO if the package was called padre and not libpadre-perl
or if there was an effectively empty package called padre that would
require  libpadre-perl.

Padre also has a web site now http://padre.perlide.org/ though it is
being released to CPAN.

regards
    Gabor




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#492696; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Gabor Szabo" <szabgab@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>. Full text and rfc822 format available.

Message #41 received at 492696@bugs.debian.org (full text, mbox):

From: "Gabor Szabo" <szabgab@gmail.com>
To: debian-perl@lists.debian.org, 492696@bugs.debian.org
Subject: Re: Adding Padre to Debian
Date: Mon, 18 Aug 2008 20:14:55 +0300
Padre 0.05 has been released that - based on the test reports
seem to work on Debian as it is.

regards
    Gabor




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#492696; Package wnpp. Full text and rfc822 format available.

Message #44 received at 492696@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dam@modsoftsys.com>
To: Gabor Szabo <szabgab@gmail.com>
Cc: debian-perl@lists.debian.org, 492696@bugs.debian.org
Subject: Re: Adding Padre to Debian
Date: Tue, 19 Aug 2008 08:35:53 +0300
-=| Gabor Szabo, Mon, Aug 18, 2008 at 08:14:55PM +0300 |=-
> Padre 0.05 has been released that - based on the test reports
> seem to work on Debian as it is.

Cool!

My time i a bit scarse at least for around two weeks so if anyone of 
the group wants to take over... :)

-- 
dam            JabberID: dam@jabber.minus273.org




Blocking bugs of 492696 added: 496478 Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Mon, 25 Aug 2008 06:33:07 GMT) Full text and rfc822 format available.

Blocking bugs of 492696 added: 496578 Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Mon, 25 Aug 2008 20:36:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#492696; Package wnpp. Full text and rfc822 format available.

Message #51 received at 492696@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: debian-perl@lists.debian.org, 492696@bugs.debian.org
Subject: Re: Adding Padre to Debian
Date: Tue, 26 Aug 2008 15:48:01 +0300
[Message part 1 (text/plain, inline)]
-=| Gabor Szabo, Mon, Aug 18, 2008 at 08:14:55PM +0300 |=-
> Padre 0.05 has been released that - based on the test reports
> seem to work on Debian as it is.

Two obstacles:
 * required File-ShareDir version 1.00 is not yet available in Debian. 
   Version 0.05 is available, but it has a grave bug about the layout 
   of the shared data. Bug filed and marked as blocking padre package
 * Modules unavailable in Debian:
   - Module::Inspector
   - Probe::Perl
   - File::LocalizeNewLines

I started work on Module::Inspector, but it has unpackaged 
dependencies on ots own so no quick progress could be made.

I shall prepare a list of all missing modules and post a request for 
help.


Is Padre intended to pull all of CPAN into Debian? :-)

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#492696; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dmn@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #56 received at 492696@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: debian-perl@lists.debian.org
Cc: 492696@bugs.debian.org
Subject: Re: volunteering for adding Padre to Debian
Date: Tue, 9 Sep 2008 15:34:18 +0300
[Message part 1 (text/plain, inline)]
-=| Alex Muntada, Tue, Sep 09, 2008 at 01:21:03PM +0200 |=-
> Just for fun, I started packaging Padre for Ubuntu and published
> version 0.4 and 0.5 in Launchpad PPA, along with many of its
> dependencies. However, it doesn't make sense to duplicate our
> efforts so joining this team seems the best course of action.
> 
> After being playing for some weeks with bzr-builddb and pbuilder,
> I think that now I'm prepared to volunteer any help you may need
> to package Padre for Debian, which is the natural way to provide
> most packages for Ubuntu, particularly for Perl.
> 
> So, how can I help you?

Hi Alex,

Thanks for the offer, your help is very much welcome! :)

The current state is tracked at http://bugs.debian.org/492696 (cc-ed)

Basically, there is a heap of dependencies that aren't packaged yet.

Adding perl modules to Debian is best done via the Debian Perl Group, 
so you have come to the right place :)

Please tell me your username on alioth.debian.org so I can add you to 
the pkg-perl project. Mandatory reading includes policy.html and 
subversion.html on http://pkg-perl.alioth.debian.org/ . Yes, module 
packages are maintained in a huge subversion repository. There are 
other useful documents on that site too, feel free to browse them.

For added confusion, Padre packaging is maintained using Git at
http://git.debian.org/?p=pkg-perl/apps/padre.git;a=summary
(git-clone ssh://git.debian.org/git/pkg-perl/apps/padre.git after you 
have been added too the project)

I am sure you will have questions. Please ask on this list or on 
#debian-perl channel on irc.debian.org (OFTC).

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#492696; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rene Mayorga <rmayorga@debian.org.sv>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>. Full text and rfc822 format available.

Message #61 received at 492696@bugs.debian.org (full text, mbox):

From: Rene Mayorga <rmayorga@debian.org.sv>
To: debian-perl@lists.debian.org, 492696@bugs.debian.org
Subject: Re: Adding Padre to Debian
Date: Tue, 9 Sep 2008 13:47:49 -0400
[Message part 1 (text/plain, inline)]
On Tue, Aug 26, 2008 at 03:48:01PM +0300, Damyan Ivanov wrote:
> -=| Gabor Szabo, Mon, Aug 18, 2008 at 08:14:55PM +0300 |=-
> > Padre 0.05 has been released that - based on the test reports
> > seem to work on Debian as it is.
> 
> Two obstacles:
[snip]
>  * Modules unavailable in Debian:
>    - Module::Inspector
>    - Probe::Perl
>    - File::LocalizeNewLines
> 
> I started work on Module::Inspector, but it has unpackaged 
> dependencies on ots own so no quick progress could be made.
> 
And those are (at least the ones at META.yml):

Module::Extract
Module::Manifest
Module::Math::Depends

I'm not filling any ITP/RFP yet for any of this, so if anyone 
have more time just go ahead.

> Is Padre intended to pull all of CPAN into Debian? :-)
> 
Indeed is a very elegant way to do this :)

Cheers
-- 
Rene Mauricio Mayorga   |  jabber: rmayorga@jabber.org
http://rmayorga.org     |  
--------------------------------------------------
08B6 58AB A691 DD56 C30B  8D37 8040 19FA A209 C305
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#492696; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Gabor Szabo" <szabgab@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>. Full text and rfc822 format available.

Message #66 received at 492696@bugs.debian.org (full text, mbox):

From: "Gabor Szabo" <szabgab@gmail.com>
To: debian-perl@lists.debian.org, 492696@bugs.debian.org
Subject: Re: Adding Padre to Debian
Date: Tue, 9 Sep 2008 22:44:57 +0300
>> Is Padre intended to pull all of CPAN into Debian? :-)
>>
> Indeed is a very elegant way to do this :)

and there is more coming by every new release.

BTW did I mention that Padre has been already added to Mandriva Cooke ;-)

Gabor




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#492696; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Gunnar Wolf <gwolf@gwolf.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>. Full text and rfc822 format available.

Message #71 received at 492696@bugs.debian.org (full text, mbox):

From: Gunnar Wolf <gwolf@gwolf.org>
To: Gabor Szabo <szabgab@gmail.com>
Cc: debian-perl@lists.debian.org, 492696@bugs.debian.org
Subject: Re: Adding Padre to Debian
Date: Fri, 12 Sep 2008 00:08:31 -0500
Gabor Szabo dijo [Tue, Sep 09, 2008 at 10:44:57PM +0300]:
> >> Is Padre intended to pull all of CPAN into Debian? :-)
> >>
> > Indeed is a very elegant way to do this :)
> 
> and there is more coming by every new release.
> 
> BTW did I mention that Padre has been already added to Mandriva Cooke ;-)

Nice way of getting things done. I don't know if I would rate you high
on moral/ethical grounds, but of course, you rank very high on
motivational tactics ;-)

Do you know if they have individually packaged all of the
dependencies, or just bundled them all somehow?

Greetings,

-- 
Gunnar Wolf - gwolf@gwolf.org - (+52-55)5623-0154 / 1451-2244
PGP key 1024D/8BB527AF 2001-10-23
Fingerprint: 0C79 D2D1 2C4E 9CE4 5973  F800 D80E F35A 8BB5 27AF




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#492696; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Gabor Szabo" <szabgab@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>. Full text and rfc822 format available.

Message #76 received at 492696@bugs.debian.org (full text, mbox):

From: "Gabor Szabo" <szabgab@gmail.com>
To: debian-perl@lists.debian.org, 492696@bugs.debian.org
Subject: Re: Adding Padre to Debian
Date: Fri, 12 Sep 2008 13:31:11 +0300
On Fri, Sep 12, 2008 at 8:08 AM, Gunnar Wolf <gwolf@gwolf.org> wrote:
> Gabor Szabo dijo [Tue, Sep 09, 2008 at 10:44:57PM +0300]:
>> >> Is Padre intended to pull all of CPAN into Debian? :-)
>> >>
>> > Indeed is a very elegant way to do this :)
>>
>> and there is more coming by every new release.
>>
>> BTW did I mention that Padre has been already added to Mandriva Cooker ;-)
>
> Nice way of getting things done. I don't know if I would rate you high
> on moral/ethical grounds, but of course, you rank very high on
> motivational tactics ;-)

a man does what a man has to do :-)

> Do you know if they have individually packaged all of the
> dependencies, or just bundled them all somehow?

I think they already had most of the things packaged  which
actually surprised me as they seemed to be a lot less open
than you guys ;-), or even than the Fedora people.
They don't have a specialized Perl group either.

The #mandriva-cooker irc channel has this identity called Sophie
you can ask her questions.
For example this question:
:qf perl-Padre [%{REQUIRES}\\n]

gave me this answer:
http://pastebin.ca/1200917

So I think they packaged everything separately.

regards
   Gabor




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#492696; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Gunnar Wolf <gwolf@gwolf.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>. Full text and rfc822 format available.

Message #81 received at 492696@bugs.debian.org (full text, mbox):

From: Gunnar Wolf <gwolf@gwolf.org>
To: Gabor Szabo <szabgab@gmail.com>
Cc: debian-perl@lists.debian.org, 492696@bugs.debian.org
Subject: Re: Adding Padre to Debian
Date: Fri, 12 Sep 2008 17:16:23 -0500
Gabor Szabo dijo [Fri, Sep 12, 2008 at 01:31:11PM +0300]:
> > Do you know if they have individually packaged all of the
> > dependencies, or just bundled them all somehow?
> 
> I think they already had most of the things packaged  which
> actually surprised me as they seemed to be a lot less open
> than you guys ;-), or even than the Fedora people.
> They don't have a specialized Perl group either.
> 
> The #mandriva-cooker irc channel has this identity called Sophie
> you can ask her questions.
> For example this question:
> :qf perl-Padre [%{REQUIRES}\\n]
> 
> gave me this answer:
> http://pastebin.ca/1200917
> 
> So I think they packaged everything separately.

Very nice and impressive... I had the idea they were much, much
farther behind!

-- 
Gunnar Wolf - gwolf@gwolf.org - (+52-55)5623-0154 / 1451-2244
PGP key 1024D/8BB527AF 2001-10-23
Fingerprint: 0C79 D2D1 2C4E 9CE4 5973  F800 D80E F35A 8BB5 27AF




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#492696; Package wnpp. (Wed, 29 Oct 2008 13:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Gabor Szabo" <szabgab@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>. (Wed, 29 Oct 2008 13:03:02 GMT) Full text and rfc822 format available.

Message #86 received at 492696@bugs.debian.org (full text, mbox):

From: "Gabor Szabo" <szabgab@gmail.com>
To: debian-perl@lists.debian.org, 492696@bugs.debian.org
Subject: Re: Adding Padre to Debian
Date: Wed, 29 Oct 2008 14:56:48 +0200
Let me nag you ppl again with my request.

version 0.14 of Padre has been released to CPAN.

I'd appreciate if you could add it to Debian.


regards
   Gabor




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#492696; Package wnpp. (Fri, 31 Oct 2008 08:51:02 GMT) Full text and rfc822 format available.

Message #89 received at 492696@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: Gabor Szabo <szabgab@gmail.com>
Cc: debian-perl@lists.debian.org, 492696@bugs.debian.org
Subject: Re: Adding Padre to Debian
Date: Fri, 31 Oct 2008 10:47:56 +0200
[Message part 1 (text/plain, inline)]
-=| Gabor Szabo, Wed, Oct 29, 2008 at 02:56:48PM +0200 |=-
> Let me nag you ppl again with my request.

Thanks, It works :)

> version 0.14 of Padre has been released to CPAN.
> 
> I'd appreciate if you could add it to Debian.

Still a lot to go as File::ShareDir 1.00 is not yet available 
(htp://bugs.debian.org/496478).

I have a couple of other comments:

* most important: copyrights
  Most of the modules lack any author/copyright/license information in 
  them.
  I *assume* they are all © 2008 Gabor Szabo and can be dstributed 
  under the same terms as Perl. I can't upload it with such 
  assumptions, though.
  Would you consider adding the same (or similar) boilerplate as found 
  in lib/Padre/PluginBuilder.pm to all files?

* dependencies
  META.yml states a dependency on Wx::Perl::Dialog. However, I failed 
  to find any reference to that module in the padre distribution. 
  File/Open and Edit/Find dialogs appear ok (i.e. no crash). Perhaps 
  the dependency can be removed?

  App::Ack 1.86 is stated as required. Is there a reason 1.80 (latest 
  available in Debian, http://bugs.debian.org/504071) won't do?


I must say that I am very pleased with the progress Padre is doing. 
Having a Perl-powered editor sounds yummy!

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#492696; Package wnpp. (Fri, 31 Oct 2008 10:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Gabor Szabo" <szabgab@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>. (Fri, 31 Oct 2008 10:57:06 GMT) Full text and rfc822 format available.

Message #94 received at 492696@bugs.debian.org (full text, mbox):

From: "Gabor Szabo" <szabgab@gmail.com>
To: "Damyan Ivanov" <dmn@debian.org>, "Debian Perl List" <debian-perl@lists.debian.org>, 492696@bugs.debian.org
Subject: Re: Adding Padre to Debian
Date: Fri, 31 Oct 2008 12:34:34 +0200
On Fri, Oct 31, 2008 at 10:47 AM, Damyan Ivanov <dmn@debian.org> wrote:
> -=| Gabor Szabo, Wed, Oct 29, 2008 at 02:56:48PM +0200 |=-

>> version 0.14 of Padre has been released to CPAN.
>>
>> I'd appreciate if you could add it to Debian.
>
> Still a lot to go as File::ShareDir 1.00 is not yet available
> (htp://bugs.debian.org/496478).

Oh so Debian has its own problem of maintainers disappear and
don't hand over they stuff. How familiar is that :-)


> I have a couple of other comments:
>
> * most important: copyrights
>  Most of the modules lack any author/copyright/license information in
>  them.
>  I *assume* they are all (c) 2008 Gabor Szabo and can be dstributed
>  under the same terms as Perl. I can't upload it with such
>  assumptions, though.
>  Would you consider adding the same (or similar) boilerplate as found
>  in lib/Padre/PluginBuilder.pm to all files?

No problem.  Will be in 0.15


> * dependencies
>  META.yml states a dependency on Wx::Perl::Dialog. However, I failed
>  to find any reference to that module in the padre distribution.
>  File/Open and Edit/Find dialogs appear ok (i.e. no crash). Perhaps
>  the dependency can be removed?

Wow, you really did look into that code!
That was my plan for world domination to get all kinds of modules into
Debian by prereqing them in Padre but my cover was blown now :-)

I'll either remove it or make use of it soon.

>  App::Ack 1.86 is stated as required. Is there a reason 1.80 (latest
>  available in Debian, http://bugs.debian.org/504071) won't do?

I don't know but isn't progress good ? Any reason not to upgrade ack?

> I must say that I am very pleased with the progress Padre is doing.
> Having a Perl-powered editor sounds yummy!

thank you

  Gabor




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#492696; Package wnpp. (Fri, 31 Oct 2008 12:00:02 GMT) Full text and rfc822 format available.

Message #97 received at 492696@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dam@modsoftsys.com>
To: Gabor Szabo <szabgab@gmail.com>
Cc: Debian Perl List <debian-perl@lists.debian.org>, 492696@bugs.debian.org
Subject: Re: Adding Padre to Debian
Date: Fri, 31 Oct 2008 13:57:39 +0200
[Message part 1 (text/plain, inline)]
-=| Gabor Szabo, Fri, Oct 31, 2008 at 12:34:34PM +0200 |=-
> On Fri, Oct 31, 2008 at 10:47 AM, Damyan Ivanov <dmn@debian.org> wrote:
> > -=| Gabor Szabo, Wed, Oct 29, 2008 at 02:56:48PM +0200 |=-
> 
> >> version 0.14 of Padre has been released to CPAN.
> >>
> >> I'd appreciate if you could add it to Debian.
> >
> > Still a lot to go as File::ShareDir 1.00 is not yet available
> > (htp://bugs.debian.org/496478).
> 
> Oh so Debian has its own problem of maintainers disappear and
> don't hand over they stuff. How familiar is that :-)

Eventually all will be fine, but the process is not an easy one.

> > * most important: copyrights
> >  Would you consider adding the same (or similar) boilerplate as 
> >  found
> >  in lib/Padre/PluginBuilder.pm to all files?
> 
> No problem.  Will be in 0.15

Great!

> > * dependencies
> >  META.yml states a dependency on Wx::Perl::Dialog. However, I failed
> >  to find any reference to that module in the padre distribution.
> >  File/Open and Edit/Find dialogs appear ok (i.e. no crash). Perhaps
> >  the dependency can be removed?
> 
> Wow, you really did look into that code!

Of course I did. This explains why it takes so much time to prepare 
a package for Debian even when we have most of the dull work automated 
:)

> That was my plan for world domination to get all kinds of modules into
> Debian by prereqing them in Padre but my cover was blown now :-)
> 
> I'll either remove it or make use of it soon.

Fair enough. I dropped the dependency from the package for now.

> >  App::Ack 1.86 is stated as required. Is there a reason 1.80 (latest
> >  available in Debian, http://bugs.debian.org/504071) won't do?
> 
> I don't know but isn't progress good ? Any reason not to upgrade ack?

The only problem at present is that the package is not maintained by 
our group. The maintainer however seems to allow external 
contributions, so I expect that an upgrade to be available soon.

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#492696; Package wnpp. (Tue, 04 Nov 2008 07:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Gabor Szabo" <szabgab@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>. (Tue, 04 Nov 2008 07:33:02 GMT) Full text and rfc822 format available.

Message #102 received at 492696@bugs.debian.org (full text, mbox):

From: "Gabor Szabo" <szabgab@gmail.com>
To: "Damyan Ivanov" <dam@modsoftsys.com>, "Debian Perl List" <debian-perl@lists.debian.org>, 492696@bugs.debian.org
Subject: Re: Adding Padre to Debian
Date: Tue, 4 Nov 2008 09:25:47 +0200
0.15 has been released.

On Fri, Oct 31, 2008 at 1:57 PM, Damyan Ivanov <dam@modsoftsys.com> wrote:
> -=| Gabor Szabo, Fri, Oct 31, 2008 at 12:34:34PM +0200 |=-
>> On Fri, Oct 31, 2008 at 10:47 AM, Damyan Ivanov <dmn@debian.org> wrote:
>> > -=| Gabor Szabo, Wed, Oct 29, 2008 at 02:56:48PM +0200 |=-
>>
>> > * most important: copyrights
>> >  Would you consider adding the same (or similar) boilerplate as
>> >  found
>> >  in lib/Padre/PluginBuilder.pm to all files?
>>
>> No problem.  Will be in 0.15
>
> Great!

Could you please check if this is ok?


>> > * dependencies
>> >  META.yml states a dependency on Wx::Perl::Dialog. However, I failed
>> >  to find any reference to that module in the padre distribution.
>> >  File/Open and Edit/Find dialogs appear ok (i.e. no crash). Perhaps
>> >  the dependency can be removed?
>>
>> Wow, you really did look into that code!
>
> Of course I did. This explains why it takes so much time to prepare
> a package for Debian even when we have most of the dull work automated
> :)
>
>> That was my plan for world domination to get all kinds of modules into
>> Debian by prereqing them in Padre but my cover was blown now :-)
>>
>> I'll either remove it or make use of it soon.
>
> Fair enough. I dropped the dependency from the package for now.

FYI It is still in the same required but not used state.

Gabor




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#492696; Package wnpp. (Mon, 10 Nov 2008 13:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Gabor Szabo" <szabgab@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>. (Mon, 10 Nov 2008 13:39:02 GMT) Full text and rfc822 format available.

Message #107 received at 492696@bugs.debian.org (full text, mbox):

From: "Gabor Szabo" <szabgab@gmail.com>
To: "Debian Perl List" <debian-perl@lists.debian.org>, 492696@bugs.debian.org
Subject: Re: Adding Padre to Debian
Date: Mon, 10 Nov 2008 15:38:14 +0200
Padre 0.16 has been released.

On Tue, Nov 4, 2008 at 9:25 AM, Gabor Szabo <szabgab@gmail.com> wrote:
>>> > * dependencies
>>> >  META.yml states a dependency on Wx::Perl::Dialog. However, I failed
>>> >  to find any reference to that module in the padre distribution.
>>> >  File/Open and Edit/Find dialogs appear ok (i.e. no crash). Perhaps
>>> >  the dependency can be removed?
>>>
>>> Wow, you really did look into that code!
>>
>> Of course I did. This explains why it takes so much time to prepare
>> a package for Debian even when we have most of the dull work automated
>> :)
>>
>>> That was my plan for world domination to get all kinds of modules into
>>> Debian by prereqing them in Padre but my cover was blown now :-)
>>>
>>> I'll either remove it or make use of it soon.
>>
>> Fair enough. I dropped the dependency from the package for now.
>
> FYI It is still in the same required but not used state.

As part of the code of Padre was moved to Wx::Perl::Dialog,
now it is a real requirement :-)

Please let me know what else can I do to speed up the inclusion
of Padre in Debian?

regards
   Gabor




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#492696; Package wnpp. (Mon, 10 Nov 2008 14:57:02 GMT) Full text and rfc822 format available.

Message #110 received at 492696@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: debian-perl@lists.debian.org, 492696@bugs.debian.org
Subject: Re: Adding Padre to Debian
Date: Mon, 10 Nov 2008 16:55:28 +0200
[Message part 1 (text/plain, inline)]
-=| Gabor Szabo, Mon, Nov 10, 2008 at 03:38:14PM +0200 |=-
> Padre 0.16 has been released.
> 
> As part of the code of Padre was moved to Wx::Perl::Dialog,
> now it is a real requirement :-)

Noted.

> Please let me know what else can I do to speed up the inclusion
> of Padre in Debian?

Do the work it takes? :)

Seriously, my free time is rather limited lately, and Padre, being not 
one of the tools I need for my daily job, went a bot below on the 
list.

Help welcome. The biggest challenge is ensuring all the dependencies 
are in Debian. Packaging is at 
ssh://git.debian.org/git/pkg-perl/apps/padre.git or 
http://git.debian.org/?p=pkg-perl/apps/padre.git;a=summary

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Blocking bugs of 505763 added: 492696 Request was from "Alex Muntada" <alexm@alexm.org> to control@bugs.debian.org. (Sat, 15 Nov 2008 01:33:03 GMT) Full text and rfc822 format available.

Blocking bugs of 505763 removed: 492696 Request was from "Alex Muntada" <alexm@alexm.org> to control@bugs.debian.org. (Sat, 15 Nov 2008 01:33:07 GMT) Full text and rfc822 format available.

Blocking bugs of 492696 added: 507540 Request was from Damyan Ivanov <dam@modsoftsys.com> to control@bugs.debian.org. (Tue, 02 Dec 2008 12:54:05 GMT) Full text and rfc822 format available.

Blocking bugs of 492696 added: 505763 Request was from Damyan Ivanov <dam@modsoftsys.com> to control@bugs.debian.org. (Tue, 02 Dec 2008 12:57:03 GMT) Full text and rfc822 format available.

Blocking bugs of 492696 added: 507548 Request was from Damyan Ivanov <dam@modsoftsys.com> to control@bugs.debian.org. (Tue, 02 Dec 2008 12:57:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#492696; Package wnpp. (Tue, 02 Dec 2008 13:21:02 GMT) Full text and rfc822 format available.

Message #123 received at 492696@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: Gabor Szabo <szabgab@gmail.com>
Cc: Debian Perl List <debian-perl@lists.debian.org>, 492696@bugs.debian.org
Subject: Re: Adding Padre to Debian
Date: Tue, 2 Dec 2008 15:17:01 +0200
[Message part 1 (text/plain, inline)]
-=| Gabor Szabo, Mon, Nov 10, 2008 at 03:38:14PM +0200 |=-
> As part of the code of Padre was moved to Wx::Perl::Dialog,
> now it is a real requirement :-)

Alex and Jeremiah helpfuly prepared the missing build-dependencies.

Meanwhile Padre went to 0.19, which added a couple more, uploaded 
today.

The only thing that is left is the requirement of File-HomeDir 0.82. 
The Debian package is at 0.80, reported as 
http://bugs.debian.org/507540

Gabor, looking at the changes between 0.80 and 0.82, the only one that 
seems relevant is the local-ization of $@. Is it what imposes the 0.82 
requirement?


Another thing left to do is sync debian/copyright with the new 
release. There are more files added, even some Tango icons with some 
CC license. Any ...uhm... takers? :)


> Please let me know what else can I do to speed up the inclusion
> of Padre in Debian?

Keeping us updated about new releases (incl. what changed) should 
provide enough nagging :)

Also, fixing #72[1] would make it much more usable to me, raising the 
motivation to work on its packaging :)

    [1] http://padre.perlide.org/ticket/72


-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Changed Bug submitter from Damyan Ivanov <dam@modsoftsys.com> to Damyan Ivanov <dmn@debian.org>. Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Tue, 02 Dec 2008 13:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#492696; Package wnpp. (Tue, 02 Dec 2008 13:36:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Gabor Szabo" <szabgab@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>. (Tue, 02 Dec 2008 13:36:11 GMT) Full text and rfc822 format available.

Message #130 received at 492696@bugs.debian.org (full text, mbox):

From: "Gabor Szabo" <szabgab@gmail.com>
To: "Damyan Ivanov" <dmn@debian.org>, "Gabor Szabo" <szabgab@gmail.com>, "Debian Perl List" <debian-perl@lists.debian.org>, 492696@bugs.debian.org
Subject: Re: Adding Padre to Debian
Date: Tue, 2 Dec 2008 15:32:30 +0200
On Tue, Dec 2, 2008 at 3:17 PM, Damyan Ivanov <dmn@debian.org> wrote:
> -=| Gabor Szabo, Mon, Nov 10, 2008 at 03:38:14PM +0200 |=-
>> As part of the code of Padre was moved to Wx::Perl::Dialog,
>> now it is a real requirement :-)
>
> Alex and Jeremiah helpfuly prepared the missing build-dependencies.

thanks for the work

>
> Meanwhile Padre went to 0.19, which added a couple more, uploaded
> today.

Actually I've just release 0.20 that fixes a nasty error in 0.19
and adds more dependencies :-)

> The only thing that is left is the requirement of File-HomeDir 0.82.
> The Debian package is at 0.80, reported as
> http://bugs.debian.org/507540
>
> Gabor, looking at the changes between 0.80 and 0.82, the only one that
> seems relevant is the local-ization of $@. Is it what imposes the 0.82
> requirement?

It was Alias who upgraded it in Padre
but that seems like a bug that can bite any time anyone not just us.


> Another thing left to do is sync debian/copyright with the new
> release. There are more files added, even some Tango icons with some
> CC license. Any ...uhm... takers? :)

We will deal with the copyright again soon.

>
>
>> Please let me know what else can I do to speed up the inclusion
>> of Padre in Debian?
>
> Keeping us updated about new releases (incl. what changed) should
> provide enough nagging :)

sure :-)

> Also, fixing #72[1] would make it much more usable to me, raising the
> motivation to work on its packaging :)
>
>    [1] http://padre.perlide.org/ticket/72

Yeah, now that we have several translations and reasonable way to
handle encoding
already I am sure it will be fixed soon.

I just asked it on our mailing list.

Gabor




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#492696; Package wnpp. (Wed, 10 Dec 2008 09:42:02 GMT) Full text and rfc822 format available.

Message #133 received at 492696@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: Gabor Szabo <szabgab@gmail.com>
Cc: Debian Perl List <debian-perl@lists.debian.org>, 492696@bugs.debian.org
Subject: Padre, CC-SA-2.5 and Debian [was: Adding Padre to Debian]
Date: Wed, 10 Dec 2008 11:38:34 +0200
[Message part 1 (text/plain, inline)]
-=| Gabor Szabo, Tue, Dec 02, 2008 at 03:32:30PM +0200 |=-
> On Tue, Dec 2, 2008 at 3:17 PM, Damyan Ivanov <dmn@debian.org> wrote:
> > Another thing left to do is sync debian/copyright with the new
> > release. There are more files added, even some Tango icons with some
> > CC license. Any ...uhm... takers? :)
> 
> We will deal with the copyright again soon.

(/me hates legal stiff)

From what I see, the tango icons are taken from the Tango project. 
From the tarball I downloaded from tango.freedesktop.org, the license 
is CC-SA-2.5.

One problem with it is that it is not compatible with GPL (AIUI, 
because it poses additional restrictions).

Another -- that CC-SA requires that derivative works include the full 
license text as well as the list of authors. This is something Padre 
does not.

More[1], it fails the Debian Free Software Guidelines[2], therefore 
cannot be part of Debian. (There is Debian package named 
tango-icon-themes in non-free).

 [1] http://evan.prodromou.name/Debian_Creative_Commons_Workgroup_report
 [2] http://www.debian.org/social_contract#guidelines

So, as I see it:
 * Padre is not distributable, as GPL and CC-SA-2.5 conflict[3];
 * Padre is breaking CC-SA-2.5 by not distributing the full license 
   text and authors list;
 * Debian cannot ship Padre with CC-SA-2.5-licensed material in it.

    [3] I am not sure how CC-SA-2.5 interoperates with Artistic 
    license

Is chosing another icon set an option?

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#492696; Package wnpp. (Wed, 14 Jan 2009 17:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dmn@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 14 Jan 2009 17:15:02 GMT) Full text and rfc822 format available.

Message #138 received at 492696@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: debian-legal@lists.debian.org
Cc: 492696@bugs.debian.org
Subject: Combining Artistic|GPL-1+ with GPL-2 and LGPL-3+
Date: Wed, 14 Jan 2009 19:13:42 +0200
[Message part 1 (text/plain, inline)]
[Please Cc me on replies. Thanks]

My upstream uses several licenses and this makes be feel a bit uneasy 
deciding if they can be combined. Please advice.

Most of the code is licensed under "the same terms as Perl itself", 
which means either Artistic license, or (at your opinion) GPL (any 
version).

In addition to that, some icons are licensed under LGPL-3+, and some 
more icons are licensed under GPL-2.

From how I understand it, if we choose GPL-2 for the main code, that 
still leaves the combination of GPL-2 (code and some .png icons) and 
LGPL-3+ (.png icons). Is such aggregation OK?


TIA

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#492696; Package wnpp. (Fri, 16 Jan 2009 12:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to MJ Ray <mjr@phonecoop.coop>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>. (Fri, 16 Jan 2009 12:39:02 GMT) Full text and rfc822 format available.

Message #143 received at 492696@bugs.debian.org (full text, mbox):

From: MJ Ray <mjr@phonecoop.coop>
To: dmn@debian.org, debian-legal@lists.debian.org
Cc: 492696@bugs.debian.org
Subject: Re: Combining Artistic|GPL-1+ with GPL-2 and LGPL-3+
Date: Fri, 16 Jan 2009 12:36:17 +0000
Damyan Ivanov <dmn@debian.org> wrote:
> [Please Cc me on replies. Thanks]
> Most of the code is licensed under "the same terms as Perl itself",
[...]
> In addition to that, some icons are licensed under LGPL-3+, and some 
> more icons are licensed under GPL-2.
>
> From how I understand it, if we choose GPL-2 for the main code, that 
> still leaves the combination of GPL-2 (code and some .png icons) and 
> LGPL-3+ (.png icons). Is such aggregation OK?

If it's mere aggregation, I believe each stays under their own licence.

Hope that helps,
-- 
MJR/slef
My Opinion Only: see http://people.debian.org/~mjr/
Please follow http://www.uk.debian.org/MailingLists/#codeofconduct





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>:
Bug#492696; Package wnpp. (Sat, 17 Jan 2009 13:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Walter Landry <wlandry@caltech.edu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Damyan Ivanov <dmn@debian.org>. (Sat, 17 Jan 2009 13:09:02 GMT) Full text and rfc822 format available.

Message #148 received at 492696@bugs.debian.org (full text, mbox):

From: Walter Landry <wlandry@caltech.edu>
To: dmn@debian.org, debian-legal@lists.debian.org, 492696@bugs.debian.org
Subject: Re: Combining Artistic|GPL-1+ with GPL-2 and LGPL-3+
Date: Sat, 17 Jan 2009 05:08:14 -0800 (PST)
MJ Ray <mjr@phonecoop.coop> wrote:
> Damyan Ivanov <dmn@debian.org> wrote:
> > [Please Cc me on replies. Thanks]
> > Most of the code is licensed under "the same terms as Perl itself",
> [...]
> > In addition to that, some icons are licensed under LGPL-3+, and some 
> > more icons are licensed under GPL-2.
> >
> > From how I understand it, if we choose GPL-2 for the main code, that 
> > still leaves the combination of GPL-2 (code and some .png icons) and 
> > LGPL-3+ (.png icons). Is such aggregation OK?
> 
> If it's mere aggregation, I believe each stays under their own licence.

Just to be clear, if it is not mere aggregation, then it is not ok.
If the LGPL-3+ icons are required for the program to operate
correctly, that is a hint that licenses need to be compatible with
GPL-2.

Cheers,
Walter Landry
wlandry@caltech.edu




Information stored :
Bug#492696; Package wnpp. (Tue, 20 Jan 2009 12:57:02 GMT) Full text and rfc822 format available.

Message #151 received at 492696-quiet@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: debian-legal@lists.debian.org
Cc: 492696-quiet@bugs.debian.org
Subject: Re: Combining Artistic|GPL-1+ with GPL-2 and LGPL-3+
Date: Tue, 20 Jan 2009 14:54:43 +0200
[Message part 1 (text/plain, inline)]
[Please continue to Cc me on replies. Thanks]

-=| Walter Landry, Sat, Jan 17, 2009 at 05:08:14AM -0800 |=-
> MJ Ray <mjr@phonecoop.coop> wrote:
> > Damyan Ivanov <dmn@debian.org> wrote:
> > > Most of the code is licensed under "the same terms as Perl 
> > > itself",
> > [...]
> > > In addition to that, some icons are licensed under LGPL-3+, and some 
> > > more icons are licensed under GPL-2.
> > >
> > > From how I understand it, if we choose GPL-2 for the main code, that 
> > > still leaves the combination of GPL-2 (code and some .png icons) and 
> > > LGPL-3+ (.png icons). Is such aggregation OK?
> > 
> > If it's mere aggregation, I believe each stays under their own licence.
> 
> Just to be clear, if it is not mere aggregation, then it is not ok.
> If the LGPL-3+ icons are required for the program to operate
> correctly, that is a hint that licenses need to be compatible with
> GPL-2.

Reading GPL-2, "mere aggregation" is when two independent "works" sit 
on the same "volume of a storage or distribution medium".

In the case I am after, both "works" are in the same upstream tarball, 
and in the same .deb.

The files are separate, i.e. no compilation in the C source --> object 
code sense is taking place. The icons are loaded at runtime and used 
in the user interface.

Does this sound like "a mere aggregation"?

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#492696; Package wnpp. (Tue, 20 Jan 2009 14:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to MJ Ray <mjr@phonecoop.coop>:
Extra info received and filed, but not forwarded. (Tue, 20 Jan 2009 14:18:03 GMT) Full text and rfc822 format available.

Message #156 received at 492696-quiet@bugs.debian.org (full text, mbox):

From: MJ Ray <mjr@phonecoop.coop>
To: dmn@debian.org, debian-legal@lists.debian.org
Cc: 492696-quiet@bugs.debian.org
Subject: Re: Combining Artistic|GPL-1+ with GPL-2 and LGPL-3+
Date: Tue, 20 Jan 2009 14:15:21 +0000
Damyan Ivanov <dmn@debian.org> wrote:
> [Please continue to Cc me on replies. Thanks]
[...]
> In the case I am after, both "works" are in the same upstream tarball, 
> and in the same .deb.
>
> The files are separate, i.e. no compilation in the C source --> object 
> code sense is taking place. The icons are loaded at runtime and used 
> in the user interface.
>
> Does this sound like "a mere aggregation"?

Yes, in my opinion.  If you can change the icons at runtime without
ill-effect (within reason - it's OK if the new icons must be the same
size, for example) and it's just that they're in the same tar volume,
that seems like mere aggregation to me.

See also http://www.fsf.org/licensing/licenses/gpl-faq.html#MereAggregation

  "Where's the line between two separate programs, and one program
  with two parts? This is a legal question, which ultimately judges
  will decide. We believe that a proper criterion depends both on the
  mechanism of communication (exec, pipes, rpc, function calls within
  a shared address space, etc.) and the semantics of the communication
  (what kinds of information are interchanged)."

I suggest that the icons are used only as runtime data and no
information is interchanged with them.

Hope that explains,
-- 
MJR/slef
My Opinion Only: see http://people.debian.org/~mjr/
Please follow http://www.uk.debian.org/MailingLists/#codeofconduct





Information stored :
Bug#492696; Package wnpp. (Tue, 20 Jan 2009 19:54:06 GMT) Full text and rfc822 format available.

Message #159 received at 492696-quiet@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: debian-legal@lists.debian.org
Cc: 492696-quiet@bugs.debian.org
Subject: Re: Combining Artistic|GPL-1+ with GPL-2 and LGPL-3+
Date: Tue, 20 Jan 2009 21:52:26 +0200
[Message part 1 (text/plain, inline)]
[Please continue to Cc me on replies. Thanks]

-=| MJ Ray, Tue, Jan 20, 2009 at 02:15:21PM +0000 |=-
> Damyan Ivanov <dmn@debian.org> wrote:
> [...]
> > The files are separate, i.e. no compilation in the C source --> 
> > object code sense is taking place. The icons are loaded at runtime 
> > and used in the user interface.
> >
> > Does this sound like "a mere aggregation"?
> 
> Yes, in my opinion.  If you can change the icons at runtime without
> ill-effect (within reason - it's OK if the new icons must be the same
> size, for example) and it's just that they're in the same tar volume,
> that seems like mere aggregation to me.
> 
> See also http://www.fsf.org/licensing/licenses/gpl-faq.html#MereAggregation
> 
> I suggest that the icons are used only as runtime data and no
> information is interchanged with them.
> 
> Hope that explains,

It does indeed.

Thank you all for helping me put the pieces together.

-- 
dam            JabberID: dam@jabber.minus273.org
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 18 Feb 2009 19:09:10 GMT) Full text and rfc822 format available.

Reply sent to Damyan Ivanov <dmn@debian.org>:
You have taken responsibility. (Fri, 27 Mar 2009 22:21:03 GMT) Full text and rfc822 format available.

Notification sent to Damyan Ivanov <dmn@debian.org>:
Bug acknowledged by developer. (Fri, 27 Mar 2009 22:21:03 GMT) Full text and rfc822 format available.

Message #166 received at 492696-close@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 492696-close@bugs.debian.org
Subject: Bug#492696: fixed in padre 0.27.ds1-1
Date: Fri, 27 Mar 2009 22:01:22 +0000
Source: padre
Source-Version: 0.27.ds1-1

We believe that the bug you reported is fixed in the latest version of
padre, which is due to be installed in the Debian FTP archive:

padre_0.27.ds1-1.diff.gz
  to pool/main/p/padre/padre_0.27.ds1-1.diff.gz
padre_0.27.ds1-1.dsc
  to pool/main/p/padre/padre_0.27.ds1-1.dsc
padre_0.27.ds1-1_all.deb
  to pool/main/p/padre/padre_0.27.ds1-1_all.deb
padre_0.27.ds1.orig.tar.gz
  to pool/main/p/padre/padre_0.27.ds1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 492696@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damyan Ivanov <dmn@debian.org> (supplier of updated padre package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 18 Feb 2009 15:55:00 +0200
Source: padre
Binary: padre
Architecture: source all
Version: 0.27.ds1-1
Distribution: unstable
Urgency: low
Maintainer: Damyan Ivanov <dmn@debian.org>
Changed-By: Damyan Ivanov <dmn@debian.org>
Description: 
 padre      - Perl Application Development and Refactoring Environment
Closes: 492696
Changes: 
 padre (0.27.ds1-1) unstable; urgency=low
 .
   * Initial Release. Closes: #492696 -- ITP
Checksums-Sha1: 
 67a181523e556b03206e22c259772c6a4d472b41 2429 padre_0.27.ds1-1.dsc
 ba4f4de10922a05fff5f6d7fe1573d3b5fcb8f73 334422 padre_0.27.ds1.orig.tar.gz
 6e326ed5665165fb3e9bd802297d4e37c20bbeff 6531 padre_0.27.ds1-1.diff.gz
 9aa23c6a4298990c3b4ab2f865a763e45be929d0 415784 padre_0.27.ds1-1_all.deb
Checksums-Sha256: 
 b46fab060463f23fb8698d44018415dd341b8d966fff1968111f1038731969f7 2429 padre_0.27.ds1-1.dsc
 6a6fdebe96a4ca459ece680b384515e6692553493d8d368289cc861d0c75a6f9 334422 padre_0.27.ds1.orig.tar.gz
 ef91b988811bc3a64d7bf3bfd88593f56cff48784d0decf85cac10918d4bf3e3 6531 padre_0.27.ds1-1.diff.gz
 909651a3121422e3b2cc42da3c69017badcf1f54e770d3a7bbe5f2aa4c274bd0 415784 padre_0.27.ds1-1_all.deb
Files: 
 d08c9ce52f2808438fe6fedc78145fc6 2429 perl optional padre_0.27.ds1-1.dsc
 7740e359b22ffe0e744611f13a57fad1 334422 perl optional padre_0.27.ds1.orig.tar.gz
 c366b402915c95a4831923332cc28feb 6531 perl optional padre_0.27.ds1-1.diff.gz
 ff45085f9d708b1f3cf0d5a0b76dbbae 415784 perl optional padre_0.27.ds1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmcFUIACgkQHqjlqpcl9jv4eQCfepHFVyC0wA66AI5CZhmmEJnd
qZIAniRs6kE2D1b41MioiJLdMFc6l6d5
=UDCO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 25 Apr 2009 07:34:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:21:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.